package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabStoreRange;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TabHaobanStoreRangeMapper {
    /**
     */
    int deleteByPrimaryKey(String storeRangeId);

    /**
     */
    int insert(TabStoreRange record);

    /**
     */
    int insertSelective(TabStoreRange record);

    /**
     */
    TabStoreRange selectByPrimaryKey(String storeRangeId);

    /**
     */
    int updateByPrimaryKeySelective(TabStoreRange record);

    /**
     */
    int updateByPrimaryKey(TabStoreRange record);

    /**
     * 查询关联的所有分组信息
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    List<TabStoreRange> queryByEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId);

    /**
     * 删除关联关系
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @return
     */
    int deleteByEnterpriseId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("enterpriseId") String enterpriseId);

    /**
     * 批量插入
     */
    int insertBatch(@Param("list") List<TabStoreRange> list);

    /**
     * 查询关联关系
     *
     * @param relationIds
     * @param enterpriseId
     * @return
     */
    List<TabStoreRange> listStoreRangeByRelationId(@Param("relationIds") List<String> relationIds, @Param("enterpriseId") String enterpriseId);
}